Permalink
Browse files

update to c++11 to allow compiling with newer gcc

No new warnings introduced from this.

CI has been failing, this should fix it.
  • Loading branch information...
superm1 committed Nov 20, 2017
1 parent 66311ab commit 4dc20e266691621f8ca22c34240e4ed74737b347
Showing with 2 additions and 2 deletions.
  1. +2 −2 configure.ac
View
@@ -60,8 +60,8 @@ AC_SUBST([RELEASE_EXTRA], [release_extra_version()])
AC_DEFINE_UNQUOTED(LIBSMBIOS_RELEASE_MAJOR,$RELEASE_MAJOR,"Major release version")
AC_DEFINE_UNQUOTED(LIBSMBIOS_RELEASE_MINOR,$RELEASE_MINOR,"Minor release version")
# Ensure we use c++98 instead of c++14
CXXFLAGS="$CXXFLAGS -std=c++98"
# Ensure we use c++11 instead of c++14
CXXFLAGS="$CXXFLAGS -std=c++11"
if test "$enable_shared" != "no"; then
AC_DEFINE([LIBSMBIOS_C_ALL_DYN_LINK],[1],[Enable dynamic libraries to build])

0 comments on commit 4dc20e2

Please sign in to comment.